# Configuration file for Firebird 2.0 Classic
# Optimized by IBSurgeon (www.ib-aid.com), released March 23, 2020
#
###########   HOW TO APPLY this Firebird Configuration   ############
###    1. Run gstat -h  databasename and ensure that Page Buffers = 0 - for every database.
###    2. Copy this firebird.conf to Firebird folder, rename it to firebird.conf, then restart Firebird 
###      (all users should be disconnected before restart!). Keep old config as a backup!
################################################################

# Any questions? Contact us via email support@ib-aid.com

DefaultDbCachePages = 768
SortMemBlockSize = 2048576
SortMemUpperLimit = 97108864
LockMemSize = 2262144
LockHashSlots = 2039

#RootDirectory =
#DatabaseAccess = Full
#ExternalFileAccess = None
#UdfAccess = Restrict UDF
#TempDirectories =
#LegacyHash = 1
#OldParameterOrdering = 0
#CompleteBooleanEvaluation = 0
#DeadlockTimeout = 10
#MaxUnflushedWrites = 100
#MaxUnflushedWriteTime = 5
#BugcheckAbort = 0
#OldColumnNaming = 0
#RelaxedAliasChecking = 0
#ConnectionTimeout = 180
#DummyPacketInterval = 0
#RemoteServiceName = gds_db
#RemoteServicePort = 3050
#RemoteAuxPort = 0
#TcpRemoteBufferSize = 8192
#TcpNoNagle = 1
#RemoteBindAddress =
#LockSemCount = 32
#LockGrantOrder = 1
#LockAcquireSpins = 0
#EventMemSize = 65536
#CpuAffinityMask = 1
#UsePriorityScheduler = 1
#PrioritySwitchDelay = 100
#PriorityBoost = 5
#GCPolicy = combined
#GuardianOption = 1
#ProcessPriorityLevel = 0
#IpcName = FIREBIRD
#RemotePipeName = interbas
#LockSignal = 16
#RemoteFileOpenAbility = 0
#Redirection = 0
